cURL
curl --request POST \ --url https://api.thehaystack.ai/v2/haystack/media/chapters \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "itemId": 123, "mediaAssetId": 123, "title": "<string>", "startMs": 123, "suggested": true, "accepted": true } '
{ "chapter": { "id": 123, "itemId": 123, "mediaAssetId": 123, "title": "Introduction", "startMs": 123, "suggested": true, "accepted": true, "hidden": true } }
Documentation IndexFetch the complete documentation index at: https://developer.thehaystack.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developer.thehaystack.ai/llms.txt
Use this file to discover all available pages before exploring further.
Enter your API token from the Haystack dashboard
Start offset in milliseconds from the start of the media
True if AI-suggested, awaiting acceptance
Created chapter
Show child attributes